filename = sprintf('../Fig4E5F6E/inhibitionRelease/IRdata/Dr3.60_t600_reflective_LA_sig0.00000000eta0.00000000_1x400_trail1.mat');
res = load(filename);
ZaEnd = res.results.Za(:,101:300,end);
ZrEnd = res.results.Zr(:,101:300,end);

L = size(ZaEnd,2);

Aend = log(ZaEnd(:))/log(10);
Rend = log(ZrEnd(:))/log(10);
Aend = [ones(L,1),Aend];
Rend = [2*ones(L,1),Rend];

Aend = [Aend;[2,100]];
Rend = [Rend;[1,100]];

figure;
hold on

violinplot(Aend(1:1:end,2), Aend(1:1:end,1),'Bandwidth',0.08,'ShowData',false,'EdgeColor',[1,1,1], ...
    'ViolinColor',[1,0,0],'ViolinAlpha',1,'ShowMean',true,'MedianColor',[0,0,0]);
violinplot(Rend(1:1:end,2), Rend(1:1:end,1),'Bandwidth',0.08,'ShowData',false,'EdgeColor',[1,1,1], ...
    'ViolinColor',[0,1,0],'ViolinAlpha',1,'ShowMean',true,'MedianColor',[0,0,0]);
hold off

% ylim([0,80]);
ylim([-1.5,2]);

figname = sprintf('Fig5Bplot/Fig5F_excited_log');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%%
L = size(ZaEnd,2);

Aend = [ones(L,1),ZaEnd(:)];
Rend = [2*ones(L,1),ZrEnd(:)];
Aend = [Aend;[2,100]];
Rend = [Rend;[1,100]];

figure;
hold on

violinplot(Aend(1:1:end,2), Aend(1:1:end,1),'Bandwidth',2.5,'ShowData',false,'EdgeColor',[1,1,1], ...
    'ViolinColor',[1,0,0],'ViolinAlpha',1,'ShowMean',true,'MedianColor',[0,0,0]);
violinplot(Rend(1:1:end,2), Rend(1:1:end,1),'Bandwidth',2.5,'ShowData',false,'EdgeColor',[1,1,1], ...
    'ViolinColor',[0,1,0],'ViolinAlpha',1,'ShowMean',true,'MedianColor',[0,0,0]);
hold off

ylim([0,50]);
% ylim([-1.5,2]);
figname = sprintf('Fig5Bplot/Fig5B_excited_linear');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));
